Subject: Re: linux-next: nfsd/cpus4096 merge conflict

From: Mike Travis <[email-masked]>
Date: Wed, 11 Jun 2008 06:43:43 -0700

Stephen Rothwell wrote:
> Hi Bruce,
> 
> Today's linux-next merge of the nfsd tree got a conflict in
> net/sunrpc/svc.c between commit 3f9b48a7584851997702cdc3f58e7811b5546397
> ("net: Pass reference to cpumask variable in net/sunrpc/svc.c") from the
> cpus4096 tree and commit 89a8922f36389cd4a284e5d7727cd792ef4544e0
> ("knfsd: convert knfsd to kthread API") from the nfsd tree.
> 
> It appears that the cpus4096 patch may no longer be needed as it was just
> changing "set_cpus_allowed(current, oldmask)" to "set_cpus_allowed_ptr
> (current, &oldmask)" in __svc_create_thread() which has been removed and
> there doesn't appear to be any new calls to set_cpus_allowed added.
> 
> I could be wrong, so it is probably worth checking.

Yes, if I'm reading the patch correctly then it's already taking into
account passing the pointer to the cpumask or nodemask arg.

Thanks,
Mike